> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a store group

> Updates an existing store group's name, slug, store type, and associated markets. Markets specified in the payload will be added to the store group.



## OpenAPI

````yaml /swagger/management-api.json patch /api/v1/{team_slug}/{app_slug}/store-groups/{store_group_slug}
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/store-groups/{store_group_slug}:
    patch:
      tags:
        - StoreGroups
      summary: Update a store group
      description: >-
        Updates an existing store group's name, slug, store type, and associated
        markets. Markets specified in the payload will be added to the store
        group.
      parameters:
        - description: Store group slug
          in: path
          name: store_group_slug
          required: true
          schema:
            type: string
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/internal_pkg_webserver_v1.InputStoreGroup'
      responses:
        '200':
          description: Store group updated successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponseStoreGroup
        '400':
          description: Invalid request (e.g. bad UUID, validation error)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  requestBodies:
    internal_pkg_webserver_v1.InputStoreGroup:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/internal_pkg_webserver_v1.InputStoreGroup'
      description: Store group data
      required: true
  schemas:
    internal_pkg_webserver_v1.OkResponseStoreGroup:
      properties:
        data:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroupWithMarkets
        details:
          description: >-
            Additional contextual information about the response. Used to
            provide supplementary details beyond the main data payload, such as
            validation warnings or processing notes
          items:
            type: string
          type: array
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.InputStoreGroup:
      properties:
        country_of_sale:
          description: >-
            Country value needs to follow ISO3166_1_alpha2, which means we want
            a country value written in alpha-2 two-letter country codes,
            Example: SE or FI
          type: string
        description:
          type: string
        markets:
          description: The slug of the markets which should be related to this store group
          items:
            type: string
          type: array
        name:
          type: string
        slug:
          type: string
        store_type:
          enum:
            - b2c
            - b2b
            - d2c
            - d2b
          type: string
      required:
        - country_of_sale
        - name
        - slug
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroupWithMarkets:
      properties:
        country_of_sale:
          type: string
        created_at:
          type: string
        description:
          type: string
        id:
          type: string
        markets:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroupMarket
          type: array
        name:
          type: string
        slug:
          type: string
        store_type:
          type: string
        updated_at:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroupMarket:
      properties:
        active:
          type: boolean
        country_codes:
          items:
            type: string
          type: array
        created_at:
          type: string
        currency_code:
          type: string
        id:
          type: string
        is_tax_exemption_eligible:
          type: boolean
        is_tax_included_in_price:
          type: boolean
        locale:
          type: string
        name:
          type: string
        slug:
          type: string
        updated_at:
          type: string
      type: object

````